Bug 529256 - Review Request: i3status - Generates a status line for dzen2 or wmii
Review Request: i3status - Generates a status line for dzen2 or wmii
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Osowski
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 529447
  Show dependency treegraph
 
Reported: 2009-10-15 15:19 EDT by Simon
Modified: 2014-02-24 07:57 EST (History)
5 users (show)

See Also:
Fixed In Version: 2.0-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-27 15:30:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
th0br0: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Simon 2009-10-15 15:19:11 EDT
Spec URL:
http://cassmodiah.fedorapeople.org/i3/i3status.spec

SRPM URL:
http://cassmodiah.fedorapeople.org/i3/i3status-1.2-0.1.fc11.src.rpm

Description:
i3status is a small program (around 500 SLOC) for filling dzen2 or wmii’s status
bar via its 9P pseudo filesystem. It is designed to be very efficient by
issuing a very small number of systemcalls (as the bar should be updated
every second or at your specified interval). This ensures that even under
high load, your status bar is updated correctly and it saves a little bit of
battery life by not spawning new processes every second like shell scripts do.
Comment 2 Christoph Wickert 2009-10-16 20:45:29 EDT
(In reply to comment #0)
> http://cassmodiah.fedorapeople.org/i3/i3status-1.2-0.1.fc11.src.rpm

1.O seems to be a stable version but the release starting with 0 indicates a pre-release or snapshot.

> Description:
> i3status is a small program (around 500 SLOC) for filling dzen2 or wmii’s

SLOC is not a common unit, I suggest to drop it as most user will not understand what it means.
Comment 6 Andreas Osowski 2009-11-27 09:27:56 EST
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format 
%{name}.spec.
 [x] Package meets the Packaging Guidelines
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: 
       [x] F12/i686 
 [x] Rpmlint output:
     Source RPM:
 	-
     Binary RPM(s):
 	-
 [x] Package is not relocatable.
 [x] Buildroot is correct
 %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined   in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: MIT
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file,     containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided 
     in the spec URL.
     SHA1SUM of package: 0c6e737d5af661feaa6c4d9c09d2a34abe1f8571
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that 
     are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [-] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot}.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI 
     application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains 
     translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: F12/i786
 [?] Package should compile and build into binary rpms on all supported 
     architectures.
     Tested on: -
 [x] Package functions as described.
 [x] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.  

Remaining issues:
For aestheticism, remove the spare space in the Conflict: line ;)
Other than that 

********************
***** APPROVED *****
********************
Comment 7 Simon 2009-11-27 14:55:31 EST
Thanks for the review

New Package CVS Request
=======================
Package Name: i3status
Short Description: Generates a status line for dzen2 or wmii
Owners: cassmodiah
Branches: F-12
Comment 8 Jason Tibbitts 2009-12-01 14:05:03 EST
CVS done.
Comment 9 Fedora Update System 2009-12-02 15:08:52 EST
i3status-2.0-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/i3status-2.0-1.fc12
Comment 10 Fedora Update System 2009-12-04 19:07:43 EST
i3status-2.0-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update i3status'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12748
Comment 11 Fedora Update System 2009-12-27 15:30:14 EST
i3status-2.0-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Simon 2010-06-23 08:11:01 EDT
Package Change Request
======================
Package Name: i3status
New Branches: EL-6
Owners: cassmodiah
Comment 13 Jason Tibbitts 2010-06-26 17:23:25 EDT
CVS done (by process-cvs-requests.py).
Comment 14 Christopher Meng 2014-02-22 06:01:21 EST
Package Change Request
======================
Package Name: i3status
New Branches: epel7
Owners: cicku cassmodiah
Comment 15 Gwyn Ciesla 2014-02-24 07:57:13 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.